Package org.apache.sysds.runtime.einsum

# Class EOpNodeBinary

java.lang.Object
org.apache.sysds.runtime.einsum.EOpNode
org.apache.sysds.runtime.einsum.EOpNodeBinary

public class EOpNodeBinary extends EOpNode

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EOpNodeBinary.EBinaryOperand`

## Field Summary

Fields
Modifier and Type
Field
Description
`EOpNode`
`left`
`EOpNodeBinary.EBinaryOperand`
`operand`
`EOpNode`
`right`

### Fields inherited from class org.apache.sysds.runtime.einsum.EOpNode

`c1, c2, dim1, dim2`

## Constructor Summary

Constructors
Constructor
Description
`EOpNodeBinary(EOpNode left, EOpNode right, EOpNodeBinary.EBinaryOperand operand)`

## Method Summary

Modifier and Type
Method
Description
`static EOpNodeBinary`
`combineMatrixMultiply(EOpNode left, EOpNode right)`
`MatrixBlock`
`computeEOpNode(List<MatrixBlock> inputs, int numThreads, org.apache.commons.logging.Log LOG)`
`List<EOpNode>`
`getChildren()`
`EOpNode`
`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`void`
`setTransposeResult(boolean transposeResult)`
`String`
`toString()`
`static org.apache.commons.lang3.tuple.Triple<Integer,EOpNodeBinary.EBinaryOperand,org.apache.commons.lang3.tuple.Pair<Character,Character>>`
`tryCombineAndCost(EOpNode n1, EOpNode n2, HashMap<Character,Integer> charToSizeMap, HashMap<Character,Integer> charToOccurences, Character outChar1, Character outChar2)`

### Methods inherited from class org.apache.sysds.runtime.einsum.EOpNode

`getOutputString, recursivePrintString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### left

public EOpNode left

### right

public EOpNode right

### operand

public EOpNodeBinary.EBinaryOperand operand

## Constructor Details

### EOpNodeBinary

public EOpNodeBinary(EOpNode left, EOpNode right, EOpNodeBinary.EBinaryOperand operand)

## Method Details

### setTransposeResult

public void setTransposeResult(boolean transposeResult)

### combineMatrixMultiply

public static EOpNodeBinary combineMatrixMultiply(EOpNode left, EOpNode right)

### getChildren

public List<EOpNode> getChildren()

Specified by:
  `getChildren` in class `EOpNode`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### computeEOpNode

public MatrixBlock computeEOpNode(List<MatrixBlock> inputs, int numThreads, org.apache.commons.logging.Log LOG)

Specified by:
  `computeEOpNode` in class `EOpNode`

### reorderChildrenAndOptimize

public EOpNode reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)

Specified by:
  `reorderChildrenAndOptimize` in class `EOpNode`

### tryCombineAndCost

public static org.apache.commons.lang3.tuple.Triple<Integer,EOpNodeBinary.EBinaryOperand,org.apache.commons.lang3.tuple.Pair<Character,Character>> tryCombineAndCost(EOpNode n1, EOpNode n2, HashMap<Character,Integer> charToSizeMap, HashMap<Character,Integer> charToOccurences, Character outChar1, Character outChar2)